package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterTaskInfo;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterTaskInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterTaskInfoMapper {
    int countByExample(PrinterTaskInfoExample example);

    int deleteByExample(PrinterTaskInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PrinterTaskInfo record);

    int insertSelective(PrinterTaskInfo record);

    List<PrinterTaskInfo> selectByExample(PrinterTaskInfoExample example);

    PrinterTaskInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PrinterTaskInfo record, @Param("example") PrinterTaskInfoExample example);

    int updateByExample(@Param("record") PrinterTaskInfo record, @Param("example") PrinterTaskInfoExample example);

    int updateByPrimaryKeySelective(PrinterTaskInfo record);

    int updateByPrimaryKey(PrinterTaskInfo record);

    void batchInsert(@Param("items") List<PrinterTaskInfo> items);
}